forrest-svn mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cross...@apache.org
Subject svn commit: r923155 - in /forrest/trunk: README.txt index.html site-author/content/xdocs/docs_0_90/upgrading_09.xml site-author/content/xdocs/procedures/release/How_to_release.xml
Date Mon, 15 Mar 2010 10:17:56 GMT
Author: crossley
Date: Mon Mar 15 10:17:55 2010
New Revision: 923155

URL: http://svn.apache.org/viewvc?rev=923155&view=rev
Log:
Upgrade required java version for Forrest to 1.5

Modified:
    forrest/trunk/README.txt
    forrest/trunk/index.html
    forrest/trunk/site-author/content/xdocs/docs_0_90/upgrading_09.xml
    forrest/trunk/site-author/content/xdocs/procedures/release/How_to_release.xml

Modified: forrest/trunk/README.txt
URL: http://svn.apache.org/viewvc/forrest/trunk/README.txt?rev=923155&r1=923154&r2=923155&view=diff
==============================================================================
--- forrest/trunk/README.txt (original)
+++ forrest/trunk/README.txt Mon Mar 15 10:17:55 2010
@@ -13,7 +13,7 @@ Requirements
 Forrest is implemented both as a Java servlet and a Java command line
 application. The following requirements exist for installing it:
 
-  * A Java 1.4 or later compatible virtual machine for your operating system.
+  * A Java 1.5 or later compatible virtual machine for your operating system.
 
 Installation Instructions and Documentation
 -------------------------------------------

Modified: forrest/trunk/index.html
URL: http://svn.apache.org/viewvc/forrest/trunk/index.html?rev=923155&r1=923154&r2=923155&view=diff
==============================================================================
--- forrest/trunk/index.html (original)
+++ forrest/trunk/index.html Mon Mar 15 10:17:55 2010
@@ -40,7 +40,7 @@ Please note that this HTML file was _not
     </p>
     <h2>What do I do now?</h2>
     <p>
-      Apache Forrest requires that Java 1.4 (or newer) be installed on your
+      Apache Forrest requires that Java 1.5 (or newer) be installed on your
       system. If you need help with that, then see the Forrest FAQ. Basically,
       if you are only going to use Forrest as-is then you need only the Java
       Runtime Environment (JRE) and if you intend to enhance and rebuild Forrest

Modified: forrest/trunk/site-author/content/xdocs/docs_0_90/upgrading_09.xml
URL: http://svn.apache.org/viewvc/forrest/trunk/site-author/content/xdocs/docs_0_90/upgrading_09.xml?rev=923155&r1=923154&r2=923155&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/docs_0_90/upgrading_09.xml (original)
+++ forrest/trunk/site-author/content/xdocs/docs_0_90/upgrading_09.xml Mon Mar 15 10:17:55
2010
@@ -56,6 +56,7 @@
           important supporting products such as Apache Xerces and Apache Xalan, etc.
         </li>
         <li>[Placeholder]</li>
+        <li>Java 1.5</li>
       </ul>
       <p>
         Some new initial plugins are in the "whiteboard". See the entries in the
@@ -64,6 +65,14 @@
         <a href="site:status-themes">Status of Themes: Skins and Dispatcher</a>.
       </p>
     </section>
+    <section id="jdk15">
+      <title>Java 1.5 (or newer) is required</title>
+      <p>
+        Java 1.5 (or newer) is required, starting with this Forrest 0.9 version.
+        For further information, see
+        <a href="site:v0.90//faq/requirements">FAQ</a>.
+      </p>
+    </section>
     <section id="cocoon">
       <title>Notes about Cocoon version</title>
       <p>

Modified: forrest/trunk/site-author/content/xdocs/procedures/release/How_to_release.xml
URL: http://svn.apache.org/viewvc/forrest/trunk/site-author/content/xdocs/procedures/release/How_to_release.xml?rev=923155&r1=923154&r2=923155&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/procedures/release/How_to_release.xml (original)
+++ forrest/trunk/site-author/content/xdocs/procedures/release/How_to_release.xml Mon Mar
15 10:17:55 2010
@@ -241,7 +241,8 @@
           </p></li>
         <li><p>
             Start discussion on Java-Version to use for compiling and testing
-            the release. If necessary, alter the build.compiler.vm value in main/build.xml
and plugins/build.xml
+            the release. If necessary, alter the build.compiler.vm value in main/build.xml
and plugins/build.xml and in various other files.
+            Conduct a text search for the old version.
           </p></li>
       </ol>
     </section>



Mime
View raw message